#
# Conditional build:
%bcond_without	doc	# Documentation

%define		orgname		qtsvg
%define		qtbase_ver	%{version}
%define		qttools_ver	%{version}
Summary:	The Qt5 Svg library
Summary(pl.UTF-8):	Biblioteka Qt5 Svg
Name:		qt5-%{orgname}
Version:	5.15.15
Release:	1
License:	LGPL v3 or GPL v2 or GPL v3 or comercial
Group:		X11/Libraries
Source0:	https://download.qt.io/official_releases/qt/5.15/%{version}/submodules/%{orgname}-everywhere-opensource-src-%{version}.tar.xz
# Source0-md5:	a10b4905efa02c35b260cf996d7ef562
URL:		https://www.qt.io/
BuildRequires:	Qt5Core-devel >= %{qtbase_ver}
BuildRequires:	Qt5Gui-devel >= %{qtbase_ver}
BuildRequires:	Qt5Widgets-devel >= %{qtbase_ver}
# for examples
BuildRequires:	Qt5OpenGL-devel >= %{qtbase_ver}
# for tests
BuildRequires:	Qt5Xml-devel >= %{qtbase_ver}
%if %{with doc}
BuildRequires:	qt5-assistant >= %{qttools_ver}
%endif
BuildRequires:	qt5-build >= %{qtbase_ver}
BuildRequires:	qt5-qmake >= %{qtbase_ver}
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.016
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing
%define		qt5dir		%{_libdir}/qt5

%description
Qt is a cross-platform application and UI framework. Using Qt, you can
write web-enabled applications once and deploy them across desktop,
mobile and embedded systems without rewriting the source code.

This package contains Qt5 Svg library.

%description -l pl.UTF-8
Qt to wieloplatformowy szkielet aplikacji i interfejsów użytkownika.
Przy użyciu Qt można pisać aplikacje powiązane z WWW i wdrażać je w
systemach biurkowych, przenośnych i wbudowanych bez przepisywania kodu
źródłowego.

Ten pakiet zawiera bibliotekę Qt5 Svg.

%package -n Qt5Svg
Summary:	The Qt5 Svg library
Summary(pl.UTF-8):	Biblioteka Qt5 Svg
Group:		Libraries
%requires_eq_to	Qt5Core Qt5Core-devel
Requires:	Qt5Gui >= %{qtbase_ver}
Requires:	Qt5Widgets >= %{qtbase_ver}
Obsoletes:	qt5-qtsvg < 5.3.0

%description -n Qt5Svg
Qt5 Svg library provides functionality for handling SVG images.

%description -n Qt5Svg -l pl.UTF-8
Biblioteka Qt5 Svg udostępnia obsługę obrazów SVG.

%package -n Qt5Svg-devel
Summary:	Qt5 Svg library - development files
Summary(pl.UTF-8):	Biblioteka Qt5 Svg - pliki programistyczne
Group:		X11/Development/Libraries
Requires:	Qt5Core-devel >= %{qtbase_ver}
Requires:	Qt5Gui-devel >= %{qtbase_ver}
Requires:	Qt5Svg = %{version}-%{release}
Requires:	Qt5Widgets-devel >= %{qtbase_ver}
Requires:	zlib-devel
Obsoletes:	qt5-qtsvg-devel < 5.3.0

%description -n Qt5Svg-devel
Qt5 Svg library - development files.

%description -n Qt5Svg-devel -l pl.UTF-8
Biblioteka Qt5 Svg - pliki programistyczne.

%package doc
Summary:	Qt5 Svg documentation in HTML format
Summary(pl.UTF-8):	Dokumentacja do biblioteki Qt5 Svg w formacie HTML
Group:		Documentation
Requires:	qt5-doc-common >= %{qtbase_ver}
BuildArch:	noarch

%description doc
Qt5 Svg documentation in HTML format.

%description doc -l pl.UTF-8
Dokumentacja do biblioteki Qt5 Svg w formacie HTML.

%package doc-qch
Summary:	Qt5 Svg documentation in QCH format
Summary(pl.UTF-8):	Dokumentacja do biblioteki Qt5 Svg w formacie QCH
Group:		Documentation
Requires:	qt5-doc-common >= %{qtbase_ver}
BuildArch:	noarch

%description doc-qch
Qt5 Svg documentation in QCH format.

%description doc-qch -l pl.UTF-8
Dokumentacja do biblioteki Qt5 Svg w formacie QCH.

%package examples
Summary:	Qt5 Svg examples
Summary(pl.UTF-8):	Przykłady do biblioteki Qt5 Svg
Group:		X11/Development/Libraries
BuildArch:	noarch

%description examples
Qt5 Svg examples.

%description examples -l pl.UTF-8
Przykłady do biblioteki Qt5 Svg.

%prep
%setup -q -n %{orgname}-everywhere-src-%{version}

%build
%{qmake_qt5}
%{__make}
%{?with_doc:%{__make} docs}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%if %{with doc}
%{__make} install_docs \
	INSTALL_ROOT=$RPM_BUILD_ROOT
%endif

# useless symlinks
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libQt5*.so.5.??
# actually drop *.la, follow policy of not packaging them when *.pc exist
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libQt5*.la

# Prepare some files list
ifecho() {
	r="$RPM_BUILD_ROOT$2"
	if [ -d "$r" ]; then
		echo "%%dir $2" >> $1.files
	elif [ -x "$r" ] ; then
		echo "%%attr(755,root,root) $2" >> $1.files
	elif [ -f "$r" ]; then
		echo "$2" >> $1.files
	else
		echo "Error generation $1 files list!"
		echo "$r: no such file or directory!"
		return 1
	fi
}
ifecho_tree() {
	ifecho $1 $2
	for f in `find $RPM_BUILD_ROOT$2 -printf "%%P "`; do
		ifecho $1 $2/$f
	done
}

echo "%defattr(644,root,root,755)" > examples.files
ifecho_tree examples %{_examplesdir}/qt5/svg

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n Qt5Svg -p /sbin/ldconfig
%postun	-n Qt5Svg -p /sbin/ldconfig

%files -n Qt5Svg
%defattr(644,root,root,755)
%doc dist/changes-*
%attr(755,root,root) %{_libdir}/libQt5Svg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libQt5Svg.so.5
# R: Core Gui Svg
%attr(755,root,root) %{qt5dir}/plugins/iconengines/libqsvgicon.so
# R: Core Gui Svg
%attr(755,root,root) %{qt5dir}/plugins/imageformats/libqsvg.so

%files -n Qt5Svg-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libQt5Svg.so
%{_libdir}/libQt5Svg.prl
%{_includedir}/qt5/QtSvg
%{_pkgconfigdir}/Qt5Svg.pc
%dir %{_libdir}/cmake/Qt5Svg
%{_libdir}/cmake/Qt5Svg/Qt5SvgConfig*.cmake
%{_libdir}/cmake/Qt5Gui/Qt5Gui_QSvgIconPlugin.cmake
%{_libdir}/cmake/Qt5Gui/Qt5Gui_QSvgPlugin.cmake
%{qt5dir}/mkspecs/modules/qt_lib_svg.pri
%{qt5dir}/mkspecs/modules/qt_lib_svg_private.pri

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%{_docdir}/qt5-doc/qtsvg

%files doc-qch
%defattr(644,root,root,755)
%{_docdir}/qt5-doc/qtsvg.qch
%endif

%files examples -f examples.files
%defattr(644,root,root,755)
# XXX: dir shared with qt5-qtbase-examples
%dir %{_examplesdir}/qt5
%changelog
* Sat Aug 31 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qt5-qtsvg.git;a=log;h=master

* Sat Aug 31 2024 Jan Palus <atler@pld-linux.org> d86f43f
- up to 5.15.15

* Sun May 26 2024 Jan Palus <atler@pld-linux.org> 4933329
- up to 5.15.14

* Sat Mar 09 2024 Jan Palus <atler@pld-linux.org> 4a72404
- up to 5.15.13

* Fri Dec 22 2023 Jan Palus <atler@pld-linux.org> aafeb84
- up to 5.15.12

* Thu Oct 05 2023 Jan Palus <atler@pld-linux.org> 948c2ce
- up to 5.15.11

* Mon Jul 10 2023 Jan Palus <atler@pld-linux.org> 21d8d7c
- R: same Qt5Core version as during build time

* Wed Jun 07 2023 Jan Palus <atler@pld-linux.org> 814ea8e
- up to 5.15.10

* Mon May 22 2023 Jan Palus <atler@pld-linux.org> 95fe1f8
- upstream fix for CVE-2023-32573; rel 2

* Thu Apr 06 2023 Jan Palus <atler@pld-linux.org> 066f1dd
- up to 5.15.9

* Wed Jan 04 2023 Jan Palus <atler@pld-linux.org> b77ded5
- up to 5.15.8

* Fri Oct 28 2022 Jan Palus <atler@pld-linux.org> 7a98301
- up to 5.15.7

* Thu Sep 08 2022 Jan Palus <atler@pld-linux.org> 88a0766
- up to 5.15.6

* Mon Jun 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 1bdd66f
- updated to 5.15.5

* Thu May 12 2022 Jan Palus <atler@pld-linux.org> 3b0ca69
- use macro for qmake invocation

* Thu May 12 2022 Jan Palus <atler@pld-linux.org> 270a99f
- rpm version for noarch subpackage

* Thu May 12 2022 Jan Palus <atler@pld-linux.org> a5ee244
- updated source url to https

* Thu May 12 2022 Jan Palus <atler@pld-linux.org> e3aa3c1
- up to 5.15.4

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> de67c8f
- unconditional noarch subpackages

* Sun Dec 20 2020 Jakub Bogusz <qboosh@pld-linux.org> bc05b6d
- use versioned Obsoletes for qt5-qtsvg*

* Sun Dec 20 2020 Jakub Bogusz <qboosh@pld-linux.org> 8765b5f
- updated dependences, noarch rules, licensing information

